commit:     e0cea6d0133fafd011b1f1c512bb7f5629d55939
Author:     Andrey Utkin <andrey_utkin <AT> gentoo <DOT> org>
AuthorDate: Sat Jun  9 17:09:51 2018 +0000
Commit:     Andrey Utkin <andrey_utkin <AT> gentoo <DOT> org>
CommitDate: Sun Jun 10 07:17:50 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e0cea6d0

dev-python/boto3: add new version 1.7.35

Package-Manager: Portage-2.3.40, Repoman-2.3.9

 dev-python/boto3/Manifest            |  1 +
 dev-python/boto3/boto3-1.7.35.ebuild | 53 ++++++++++++++++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 32e9dcf1fde..50c77419973 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -1,3 +1,4 @@
 DIST boto3-1.4.7.tar.gz 217171 BLAKE2B 
900c5c4249df9d0c3b5d157835f66be5e7cd3e2f4b934047340614ef729d30a5952f2996f1638626a10f9e5e55cb05d4792241b6f7da9c5157da9caeb464acac
 SHA512 
db87ce873ba3d7d12c9e77ce329db3fab25328407ec5ba7fa1e7c94351285a84a3baf0f71721ee6858761743736497ec35b03e8d5e9a59da8daa176596f1a1a3
 DIST boto3-1.5.27.tar.gz 221841 BLAKE2B 
b604bb3f20f6ea5d6fd9de8ea63258cd4fdb36fb7cdbd6ca2e194f177dd37da3609928be47fc620ab42db6955aff373c757ea0f80896be947aa714bd6da487f8
 SHA512 
c38d11fc1e1d65cfaf9bbe00da210c4713fec9232320387efc11663470fc333a622877eddd1c60216496cb6fb399f0964cf51bed67209c4c7ec17af03972350f
 DIST boto3-1.7.19.tar.gz 226568 BLAKE2B 
3f56b738d49cd8da02621b5f00160e8a6bc06fa785b870cf0a413c0c9ba2e04dd772f4246fe943dc9fd7dc14f1c587377e3ffba77c2b1a092247958dbc573fdb
 SHA512 
80975e234caabb0f9c0166cc00a3bf88d61ff1df386fa4df83599245a04d323d10b770e1f4171e7f856ea91edd325d1207caf023a2f43e5dca23236fc48bcb6d
+DIST boto3-1.7.35.tar.gz 228201 BLAKE2B 
ae164f4eb8a77d15ea142f0a88422645b306f83c54d094abafd73e46e0615fb7cde9756781d4150fa6ef408738481fbbd959afee0ca125cb1f2b8f82189f86b4
 SHA512 
c007317bcfd167fc78ae216ea2db5a9ae76dcd4e76cd80bc2e4bef11e4525f1b0c87d6f14cf66dff49bb5e0c4c22b2062a514e8f47c83cf1a1bbd592f6aa7658

diff --git a/dev-python/boto3/boto3-1.7.35.ebuild 
b/dev-python/boto3/boto3-1.7.35.ebuild
new file mode 100644
index 00000000000..a7373938984
--- /dev/null
+++ b/dev-python/boto3/boto3-1.7.35.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_4 python3_5 python3_6 )
+
+inherit distutils-r1 vcs-snapshot
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="https://github.com/boto/boto3";
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="doc test"
+
+if [[ "${PV}" == "9999" ]]; then
+       EGIT_REPO_URI="https://github.com/boto/boto3";
+       inherit git-r3
+else
+       SRC_URI="https://github.com/boto/${PN}/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+       KEYWORDS="~amd64 ~arm64 ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+       >=dev-python/botocore-1.10.35[${PYTHON_USEDEP}]
+       dev-python/jmespath[${PYTHON_USEDEP}]
+       dev-python/s3transfer[${PYTHON_USEDEP}]
+"
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       doc? (
+               dev-python/guzzle_sphinx_theme[${PYTHON_USEDEP}]
+               dev-python/sphinx[${PYTHON_USEDEP}]
+       )
+       test? (
+               ${RDEPEND}
+               dev-python/mock[${PYTHON_USEDEP}]
+               dev-python/nose[${PYTHON_USEDEP}]
+       )
+"
+
+python_compile_all() {
+       use doc && emake -C docs html
+}
+
+python_test() {
+       nosetests -v tests/unit/ tests/functional/ || die "test failed under 
${EPYTHON}"
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( docs/build/html/. )
+
+       distutils-r1_python_install_all
+}

Reply via email to